using System;

class SquareTest
{
    static void Main(string[] args)
    {
        Square sq = new Square();
        int y = 5;
        int z;

        sq.callByVal(y);

        Console.WriteLine("After call by val: y = " + y);

        sq.callByRef(ref y);

        Console.WriteLine("After call by ref: y = " + y);

        sq.callByOut(out z);

        Console.WriteLine("After call by z: z = " + z);
    }
}
